#
# spec file for package rasdaemon
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rasdaemon
Version:        0.5.8
Release:        3.1
Summary:        Utility to receive RAS error tracings
License:        GPL-2.0
Group:          Hardware/Other
Url:            https://git.fedorahosted.org/cgit/rasdaemon.git
Source:         https://git.fedorahosted.org/cgit/rasdaemon.git/snapshot/%{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  sqlite3-devel
BuildRequires:  systemd-rpm-macros
Requires:       dmidecode
Requires:       perl-DBD-SQLite
Requires(post): systemd
Requires(postun): systemd
Requires(preun): systemd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
rasdaemon is a RAS (Reliability, Availability and Serviceability) logging tool.
It currently records memory errors, using the EDAC tracing events.
EDAC is drivers in the Linux kernel that handle detection of ECC errors
from memory controllers for most chipsets on i386 and x86_64 architectures.
EDAC drivers for other architectures like arm also exists.
This userspace component consists of an init script which makes sure
EDAC drivers and DIMM labels are loaded at system startup, as well as
an utility for reporting current error counts from the EDAC sysfs files.

%prep
%setup -q

%build
autoreconf -fvi
%configure --enable-mce --enable-aer --enable-sqlite3 --enable-extlog --enable-abrt-report
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
install -D -p -m 0644 misc/rasdaemon.service %{buildroot}%{_unitdir}/rasdaemon.service
ln -s %{_sbindir}/service %{buildroot}/%{_sbindir}/rcrasdaemon
install -D -p -m 0644 misc/ras-mc-ctl.service %{buildroot}%{_unitdir}/ras-mc-ctl.service
ln -s %{_sbindir}/service %{buildroot}/%{_sbindir}/rcras-mc-ctl
rm %{buildroot}%{_includedir}/*.h
mkdir -p %{buildroot}%{_localstatedir}/lib/rasdaemon

%pre
%service_add_pre rasdaemon.service ras-mc-ctl.service

%post
%service_add_post rasdaemon.service ras-mc-ctl.service

%preun
%service_del_preun rasdaemon.service ras-mc-ctl.service

%postun
%service_del_postun rasdaemon.service ras-mc-ctl.service

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_sbindir}/rasdaemon
%{_sbindir}/ras-mc-ctl
%{_sbindir}/rcrasdaemon
%{_sbindir}/rcras-mc-ctl
%{_mandir}/*/*
%{_unitdir}/*.service
%dir %{_sysconfdir}/ras
%dir %{_localstatedir}/lib/rasdaemon
%ghost %{_localstatedir}/lib/rasdaemon/ras-mc_event.db
%{_sysconfdir}/ras/dimm_labels.d

%changelog
* Tue May 31 2016 fvogt@suse.com
- Update to 0.5.8, obsoleted patches:
  - broadwell_de_mscod.patch
  - broadwell_ep_ex_mscod.patch
* Tue May 31 2016 trenn@suse.de
- Add MSCOD values for broadwell de/ep/ex processors
  * Add broadwell_de_mscod.patch
  * Add broadwell_ep_ex_mscod.patch
* Mon Mar  7 2016 fvogt@suse.com
- Run spec-cleaner: - Change Group and copyright notice
* Mon Mar  7 2016 trenn@suse.de
- Update to version 0.5.7 (including Knights Landing CPU support, fate#319513)
* Fri Nov 27 2015 fvogt@suse.com
- Use provided .tar.xz directly instead of generating one via tar_scm
* Wed Nov 25 2015 trenn@suse.de
- Fix upper case letter issues on requires on package perl-DBD-SQLite
- Create /var/lib/rasdaemon for db file creation at runtime
* Fri Nov  6 2015 fvogt@suse.com
- Disable _service and run manually
* Tue Nov  3 2015 fvogt@suse.com
- Initial commit from git
